# System76 Power GUI

![header](https://gitea.dockservices.co/G34RZ/system76-power-GUI-x11/raw/branch/main/Screenshot.jpg "(By BG)")

This GUI is built on system76-power application that is used in their GUI implementations. Thus the name. I built this GUI to use with Arch on a window manager running x11.

## Features
- View current power profile
- Switch between Battery, Balanced, and Turbo modes
## Coming Soon
- Automatic profile persistence
- System tray integration

## Dependencies
- system76-power
- polkit (for privilege escalation)

## Installation

### Arch Linux
```bash
# Build and install the package
makepkg -si
```

## Usage
Launch the application from your desktop environment's application menu or run:
```bash
system76-power-gui-x11
```
